package framework;

import no.tellu.cdlc.gui.GuiElement;
import no.tellu.cdlc.util.CanvasUtil;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.Image;
import javax.microedition.lcdui.game.Sprite;

/**
 * MapElement.java
 * <p/>
 * Draws a map with the given height and the max width of the element.
 * The map is not selectable.
 */
public class MapElement extends GuiElement {

	private Image image = null;	
	
	private MapObject currentMap = null;
		
	/**
	 * Constructor MapElement
	 * @param elementId		The id of the object of this class
	 * @param mapHeight		The map height to be set
	 * @param map			The object containing the map information
	 */
	public MapElement(String elementId, int mapWidth, int mapHeight, MapObject map) {
		super(elementId);
		
        setWidth(mapWidth);
        setHeight(mapHeight);
		setSelectable(false);
		currentMap = map;
        image = currentMap.getMapImage();
        
        if(image != null)image = CanvasUtil.resize(image, getWidth(), getHeight());		
	}
	
	/**
	 * Paints the map image and a border around it.
	 */
	public void paint(Graphics g, boolean selected) {	
		if(image != null){
            int x = getX();
            int y = getY();
            g.drawImage(image, x, y, Graphics.TOP | Graphics.LEFT);
		}
        if (isBorderVisible()) {
            drawBorder(g);
        }
    }

}
