package framework;

import no.tellu.commonplatform.serviceframe.common.map.*;
import java.util.Vector;
import javax.microedition.lcdui.Image;

/**
 * MapObject.java
 * <p/>
 * Contains all information in a map, including its points of interest.
 * <p/>
 * This is originally MapObject.java in 
 * no.tellu.commonplatform.serviceframe.common.map, slightly changed, 
 * to be able to use a map image. Redundant code from 
 * no.tellu.commonplatform.serviceframe.common.map.MapObject has been
 * removed from this file.
 */
public class MapObject {

	private Image mapImage;
    private Vector POIs;
    private MapBoundingBox mapBoundingBox;
    
    /**
     * Constructor MapObject
     * @param mapImage			An image containing a map
     * @param POIs				A vector with POIObject objects (points of interest)
     * @param mapBoundingBox	An object containing map coordinates 
     */
    public MapObject(Image mapImage, Vector POIs, MapBoundingBox mapBoundingBox) {
        this.mapImage = mapImage;
        this.POIs = POIs;
        this.mapBoundingBox = mapBoundingBox;
    }
    
    /**
     * 
     * @return the image of the map
     */
    public Image getMapImage(){
    	return mapImage;
    }

    /**
     * 
     * @return the vector with points of interest
     */
    public Vector getPOIs() {
        return POIs;
    }

    /**
     * 
     * @return the object with map coordinates
     */
    public MapBoundingBox getMapBoundingBox() {
        return this.mapBoundingBox;
    }

}