package kindergartenform;

/**
 * Activity.java
 * <p/>
 * Contains the time, clock image, name and extended info of an activity.
 */
public class Activity {

	private String timeString;
	private String timeImage;
	private String activity;
	private String extendedInfo = null;
	
	/**
	 * Constructor Activity
	 * @param timeString		Starting time of an activity
	 * @param timeImage			Starting time icon
	 * @param activity			Name of the activity
	 * @param extendedInfo		Description of the activity
	 */
	public Activity(String timeString, String timeImage, String activity, String extendedInfo){
		this.timeString = timeString;
		this.timeImage = timeImage;
		this.activity = activity;
		this.extendedInfo = extendedInfo;
	}
	
	/**
	 * 
	 * @return the time of the activity, in text
	 */
	public String getTimeString(){
		return timeString;
	}
	
	/**
	 * 
	 * @return the time of the activity, as an icon
	 */
	public String getTimeImage(){
		return timeImage;
	}
	
	/**
	 * 
	 * @return the name of the activity
	 */
	public String getActivity(){
		return activity;
	}

	/**
	 * 
	 * @return the information about the activity
	 */
	public String getExtendedInfo(){
		return extendedInfo;
	}

}
