package kindergartenform;

import no.tellu.cdlc.gui.*;

import javax.microedition.lcdui.Graphics;

/**
 * FormPageEight.java
 * <p/>
 * Contains the content of the eight page of the form.
 */
public class FormPageEight extends GuiPanel {
	
	FormWindow fw;
	int i = 0;

	/**
	 * Constructor FormPageEight
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 */
	public FormPageEight(String elementId, LayoutManager layoutMgr, FormWindow fw) {
		super(elementId, layoutMgr);
		
		this.fw = fw;
        setAllowScrollBars(true);
        setInsetRight(0);

        GuiFont headingInfoFont = new GuiFont("SMALL_BOLD");
		GuiFont infoFont = new GuiFont("SMALL_PLAIN");
					
		///////////// **The first SummaryElement **/////////////////
		TextElement te1 = new TextElement("Valgte barnehager");
	
		TextElement te2 = new TextElement("Prioritet 1:     Kanutten barnehage");
		te2.setHidden(true);
		te2.setFont(headingInfoFont);
		
		TextElement te3 = new TextElement("Heldagsplass               \n" +
				"Eierforhold:                Kommunal  \nSatsingsomrde:       " +
				"Friluftsliv");
		te3.setHidden(true);
		te3.setFont(infoFont);

		TextElement te6 = new TextElement("Prioritet 2:     Kyvannet barnehage");
		te6.setHidden(true);
		te6.setFont(headingInfoFont);
		
		TextElement te7 = new TextElement("Heldagsplass               \nEierforho" +
				"ld:                Privat        \nSatsingsomrde:       Livssyn    ");
		te7.setHidden(true);
		te7.setFont(infoFont);
		
		SummaryElement se1 = new SummaryElement();
		se1.addtoGroup(te1);
		se1.addtoGroup(te2);
		se1.addtoGroup(te3);
		se1.addtoGroup(te6);
		se1.addtoGroup(te7);
		se1.setInsets(2, 2, 2, 2);
		
        add(se1);
        
		////////////////** The second SummaryElement **////////////////	
		TextElement te10 = new TextElement("Opplysninger om barnet");
		
		TextElement te11 = new TextElement("Fdselsnummer:  01110374263");
		te11.setHidden(true);
		te11.setFont(infoFont);
		
		TextElement te12 = new TextElement("Navn:                     Ida Marie Hansen");
		te12.setHidden(true);
		te12.setFont(infoFont);
		
		TextElement te13 = new TextElement("Adresse:               Sollia 3, 7024 Trondheim");
		te13.setHidden(true);
		te13.setFont(infoFont);
		
		TextElement te14 = new TextElement("Statsborger-                           " +
				"                    skap:                     Norsk     ");
		te14.setHidden(true);
		te14.setFont(infoFont);
		
		TextElement te15 = new TextElement("Ingen merknader.");
		te15.setHidden(true);
		te15.setFont(infoFont);
		
		SummaryElement se2 = new SummaryElement();
		se2.addtoGroup(te10);
		se2.addtoGroup(te11);
		se2.addtoGroup(te12);
		se2.addtoGroup(te13);
		se2.addtoGroup(te14);
		se2.addtoGroup(te15);
		se2.setInsets(2, 2, 2, 2);
		
        add(se2);
        
		/////////////////** The third SummaryElement ** ////////////////		
		TextElement te20 = new TextElement("Opplysninger om foresatte");
				
		TextElement te21 = new TextElement("Barnet har to foresatte som bor p\nsamme adresse.");
		te21.setHidden(true);
		te21.setFont(infoFont);
		
		TextElement te22 = new TextElement("Opplysninger om foresatt 2:");
		te22.setHidden(true);
		te22.setFont(headingInfoFont);
		
		TextElement te23 = new TextElement("Fdselsnummer:     22027067891");
		te23.setHidden(true);
		te23.setFont(infoFont);
		
		TextElement te24 = new TextElement("Navn:                       Petter Weum");
		te24.setHidden(true);
		te24.setFont(infoFont);	
		
		TextElement te25 = new TextElement("Telefon:                   93593935");
		te25.setHidden(true);
		te25.setFont(infoFont);
		
		TextElement te26 = new TextElement("Arbeidssted:	       Frisrstua");
		te26.setHidden(true);
		te26.setFont(infoFont);
		
		TextElement te27 = new TextElement("Telefon arbeid:        93593935");
		te27.setHidden(true);
		te27.setFont(infoFont);
		
		SummaryElement se3 = new SummaryElement();
		se3.addtoGroup(te20);
		se3.addtoGroup(te21);
		se3.addtoGroup(te22);
		se3.addtoGroup(te23);
		se3.addtoGroup(te24);
		se3.addtoGroup(te25);
		se3.addtoGroup(te26);
		se3.addtoGroup(te27);
		se3.setInsets(2, 2, 2, 2);
		
        add(se3);
		/////////////////** The fourth SummaryElement **////////////////
		
		TextElement te30 = new TextElement("Familieforhold");
		
		TextElement te31 = new TextElement("Barnet har ett ssken.");
		te31.setHidden(true);
		te31.setFont(infoFont);
		
		TextElement te32 = new TextElement("Martin Hansen, f. 2005, Kanutten barnehage");
		te32.setHidden(true);
		te32.setFont(infoFont);
		
		TextElement te33 = new TextElement("Det skes ikke barnehageplass til ssken.");
		te33.setHidden(true);
		te33.setFont(infoFont);
		
		TextElement te34 = new TextElement("Ingen tilleggsopplysninger.");
		te34.setHidden(true);
		te34.setFont(infoFont);
		
		SummaryElement se4 = new SummaryElement();
		se4.addtoGroup(te30);
		se4.addtoGroup(te31);
		se4.addtoGroup(te32);
		se4.addtoGroup(te33);
		se4.addtoGroup(te34);
		se4.setInsets(2, 2, 2, 2);
		
        add(se4);
		////////////////////////////////////////////////////////////////
		
        setCurrElementNo(0);
	}

	/**
	 * Handles the commands to be shown on the menu line.
	 */
	public void paint(Graphics g, boolean selected) {
		if(i == 0){
			fw.guiMenu.insertMenuElement(fw.send, "root", 0);
			i++;
		}
		super.paint(g, selected);
	}

	/**
	 * Removes the 'Send' command when the user leaves the form page.
	 */
	public void leavePanel() {
		if(i == 1){
			fw.guiMenu.removeMenuElement(fw.send.getLabel());
			i--;
		}
		super.leavePanel();
	}
	
}