package kindergartenform;

import framework.RadioButtonElement;
import no.tellu.cdlc.gui.*;

import javax.microedition.lcdui.TextField;
import java.util.Vector;

/**
 * FormPageFive.java
 * <p/>
 * Contains the content of the fifth page of the form.
 */
public class FormPageFive extends GuiPanel {

	/**
	 * Constructor FormPageFive
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 */
	public FormPageFive(String elementId, LayoutManager layoutMgr) {
		super(elementId, layoutMgr);
	
		setInsetTop(3);
		
		int fieldWidth = getInnerWidth() - 20;		
		
		/////** Personal identification number input field **////
		FormGroupElement ge1 = new FormGroupElement();	
		TextElement teIdNumber = new TextElement("Fdselsnummer");		
		InputElement ieIdNumber = new InputElement("idNumber", TextField.NUMERIC, this);
		ieIdNumber.setMaxCharacters(11);		
		ge1.addtoGroup(teIdNumber);
		ge1.addtoGroup(ieIdNumber);
		ge1.setCurrentElement(ieIdNumber);
		ge1.setInsets(2, 2, 2, 2);
		add(ge1);
		
		/////** First name input field **/////
		FormGroupElement ge2 = new FormGroupElement();
		TextElement teFirstname = new TextElement("Fornavn");
		InputElement ieFirstname = new InputElement("firstname", TextField.ANY, this);
		ieFirstname.setMaxCharacters(20);
		ge2.addtoGroup(teFirstname);
		ge2.addtoGroup(ieFirstname);
		ge2.setCurrentElement(ieFirstname);
		ge2.setInsets(2, 2, 2, 2);
		add(ge2);
		
		//////** Surname input field **//////
		FormGroupElement ge3 = new FormGroupElement();		
		TextElement teSurname = new TextElement("Etternavn");
		InputElement ieSurname = new InputElement("surname", TextField.ANY, this);
		ieSurname.setMaxCharacters(15);
		ge3.addtoGroup(teSurname);
		ge3.addtoGroup(ieSurname);
		ge3.setCurrentElement(ieSurname);
		ge3.setInsets(2, 2, 2, 2);
		add(ge3);
		
		/////** Street address input field **/////
		FormGroupElement ge4 = new FormGroupElement();
		TextElement teStreetAddress = new TextElement("Adresse");
		InputElement ieStreetAddress = new InputElement("streetAddress", TextField.ANY, this);
		ieStreetAddress.setMaxCharacters(15);
		ieStreetAddress.setValue("Sollia 3");
		ge4.addtoGroup(teStreetAddress);
		ge4.addtoGroup(ieStreetAddress);
		ge4.setCurrentElement(ieStreetAddress);
		ge4.setInsets(2, 2, 2, 2);
		add(ge4);
		
		/////** Post number input field **//////
		FormGroupElement ge5 = new FormGroupElement();
		TextElement tePostcode = new TextElement("Postnummer");
		InputElement iePostCode = new InputElement("postcode", TextField.NUMERIC, this);
		iePostCode.setMaxCharacters(4);
		int fWidth = getFont().getWidthOfString("8888888");
		iePostCode.setValue("7024");
		iePostCode.setPreferredSize(fWidth, 0);
		ge5.addtoGroup(tePostcode);
		ge5.addtoGroup(iePostCode);
		ge5.setCurrentElement(iePostCode);
		ge5.setInsets(2, 2, 2, 2);
		add(ge5);
		
		/////** Post address input field **/////
		FormGroupElement ge6 = new FormGroupElement();
		TextElement tePostAddress = new TextElement("Poststed");
		InputElement iePostAddress = new InputElement("postaddress", TextField.ANY, this);
		iePostAddress.setMaxCharacters(15);
		iePostAddress.setValue("Trondheim");
		ge6.addtoGroup(tePostAddress);
		ge6.addtoGroup(iePostAddress);
		ge6.setCurrentElement(iePostAddress);
		ge6.setInsets(2, 2, 2, 2);
		add(ge6);
		
		/////** Citizenship radio buttons **/////
		FormGroupElement ge7 = new FormGroupElement();
		TextElement teCitizenship = new TextElement("Statsborgerskap          ");
		Vector citizenship = new Vector();
		citizenship.addElement("Norsk");
		citizenship.addElement("Annet");
		RadioButtonElement rbeCitizen = new RadioButtonElement();
		rbeCitizen.setChoices(citizenship);
		ge7.addtoGroup(teCitizenship);
		ge7.addtoGroup(rbeCitizen);
		ge7.setCurrentElement(rbeCitizen);
		ge7.setInsets(2, 2, 2, 2);
		add(ge7);
		
		/////** Language radio buttons **/////
		FormGroupElement ge8 = new FormGroupElement();
		TextElement teLanguage = new TextElement("Dagligsprk i hjemmet");
		RadioButtonElement rbeLanguage = new RadioButtonElement();
		rbeLanguage.setChoices(citizenship);
		ge8.addtoGroup(teLanguage);
		ge8.addtoGroup(rbeLanguage);
		ge8.setCurrentElement(rbeLanguage);
		ge8.setInsets(2, 2, 2, 2);
		add(ge8);
		
		//////** Health and social conditions radio buttons **/////
		FormGroupElement ge9 = new FormGroupElement();
		TextElement teHealth1 = new TextElement("Har barnets helse eller sosiale forhold betydning for opptak i barnehage?");
		RadioButtonElement rbeHealth1 = new RadioButtonElement();
		Vector yesNo = new Vector();
		yesNo.addElement("Ja");
		yesNo.addElement("Nei");
		rbeHealth1.setChoices(yesNo);
		ge9.addtoGroup(teHealth1);
		ge9.addtoGroup(rbeHealth1);
		ge9.setCurrentElement(rbeHealth1);
		ge9.setInsets(2, 2, 2, 2);
		add(ge9);
		
		/////** Info text **/////
		GroupElement ge11 = new GroupElement();
		TextElement teInfo = new TextElement("Uttalelser fra offentlige instanser om barnets behov for opptak i barnhage kan vedlegges ved  hente inn skjemaet p Web.");
		teInfo.setFont(new GuiFont("SMALL_PLAIN"));
		ge11.setBorderVisible(false);
		ge11.setSelectable(false);
		ge11.addtoGroup(teInfo);
		ge11.setInsets(2, 0, 0, 0);
		add(ge11);

		/////** Needs-description large input field **/////
		GroupElement ge10 = new GroupElement();
		TextElement teHealth2 = new TextElement("Beskriv eventuelle behov med egne ord, maksimalt 400 tegn");
		InputElement ieHealth2 = new InputElement("iehealth2", TextField.ANY, this);
		ieHealth2.setPreferredSize(fieldWidth, 70);
		ieHealth2.setMaxCharacters(400);
		ge10.addtoGroup(teHealth2);
		ge10.addtoGroup(ieHealth2);
		ge10.setCurrentElement(ieHealth2);
		ge10.setInsets(2, 2, 2, 2);
		add(ge10);
		
		setCurrGuiElement(ge1);
	}

}
