package kindergartenform;

import no.tellu.cdlc.gui.*;

import java.util.Vector;

/**
 * FormPageFour.java
 * <p/>
 * Contains the content of the fourth page of the form.
 */
public class FormPageFour extends GuiPanel {

	/**
	 * Constructor FormPageFour
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 * @param kindergartens the kindergartens of the form
	 */
	public FormPageFour(String elementId, LayoutManager layoutMgr, Vector kindergartens) {
		super(elementId, layoutMgr);
		
		int fieldWidth = getFont().getWidthOfString("000000000");

		GuiFont headingFont = new GuiFont("MEDIUM_BOLD");
		GuiFont infoFont = new GuiFont("SMALL_PLAIN");
		
		Vector priorities = new Vector();
		priorities.addElement("Velg");
		priorities.addElement("1");
		priorities.addElement("2");
		
		TextElement te1 = new TextElement("Valgt plasstype:");
		TextElement te2 = new TextElement("Angi prioritet");
		TextElement te3 = new TextElement("Heldagsplass");
		
		/////////////////////////////////////////////////////////////////
		KindergartenPOIInfo k1 = (KindergartenPOIInfo)kindergartens.elementAt(2);
		
		TextElement nameK1 = new TextElement(k1.getName());
		nameK1.setFont(headingFont);		
		
		TextElement address1 = new TextElement(k1.getStreetAddress()+", "+k1.getPostCode()+" "+k1.getPostAddress(), 33);
		address1.setFont(infoFont);
	
		/////** Name and address **/////
		GroupElement ge11 = new GroupElement();
		ge11.addtoGroup(nameK1);
		ge11.addtoGroup(address1);
		ge11.setBorderVisible(false);
		ge11.setSelectable(false);
		ge11.setInsets(2, 0, 0, 0);
		add(ge11);
		
		/////** Chosen place type **/////
		FormGroupElement ge12 = new FormGroupElement();
		ge12.addtoGroup(te1);
		ge12.addtoGroup(te3);
		ge12.setBorderVisible(false);
		ge12.setSelectable(false);
		ge12.setInsets(2, 0, 0, 0);
		add(ge12);
		
		/////** Priority dropdown list **//////
		FormGroupElement ge13 = new FormGroupElement();
		DropDownElement dde1 = new DropDownElement();
		dde1.setChoices(priorities);
		dde1.setPreferredSize(fieldWidth, 0);
		ge13.addtoGroup(te2);
		ge13.addtoGroup(dde1);
		ge13.setCurrentElement(dde1);
		ge13.setInsetBottom(2);
		ge13.setInsets(2, 2, 2, 2);
		add(ge13);

		/////////////////////////////////////////////////////
		KindergartenPOIInfo k2 = (KindergartenPOIInfo)kindergartens.elementAt(3);
		
		TextElement nameK2 = new TextElement(k2.getName());
		nameK2.setFont(headingFont);
		
		TextElement address2 = new TextElement(k2.getStreetAddress()+", "+k2.getPostCode()+" "+k2.getPostAddress(), 27);
		address2.setFont(infoFont);
		
		/////** Name and address **/////
		GroupElement ge21 = new GroupElement();
		ge21.addtoGroup(nameK2);
		ge21.addtoGroup(address2);
		ge21.setBorderVisible(false);
		ge21.setSelectable(false);
		ge21.setInsets(2, 0, 0, 0);
		add(ge21);

		/////** Chosen place type **/////
		FormGroupElement ge22 = new FormGroupElement();
		ge22.addtoGroup(te1);
		ge22.addtoGroup(te3);
		ge22.setBorderVisible(false);
		ge22.setSelectable(false);
		ge22.setInsets(2, 0, 0, 0);
		add(ge22);

		/////** Priority dropdown list **//////
		FormGroupElement ge23 = new FormGroupElement();
		DropDownElement dde2 = new DropDownElement();
		dde2.setChoices(priorities);
		dde2.setPreferredSize(fieldWidth, 0);
		ge23.addtoGroup(te2);
		ge23.addtoGroup(dde2);
		ge23.setCurrentElement(dde2);
		ge23.setInsetBottom(2);
		ge23.setInsets(2, 2, 2, 2);
		add(ge23);
		
		///////////////////////////////////////////////////////
			
		setCurrGuiElement(ge13);		
	}

}