package kindergartenform;

import framework.RadioButtonElement;
import no.tellu.cdlc.gui.*;

import java.util.Vector;

/**
 * FormPageOne.java
 * <p/>
 * Contains the content of the first page of the form.
 */
public class FormPageOne extends GuiPanel {
	
	RadioButtonElement rbe;

	/**
	 * Constructor FormPageOne
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 */
	public FormPageOne(String elementId, LayoutManager layoutMgr) {
		super(elementId, layoutMgr);
		setInsetTop(3);	
		
		int fieldWidth = getFont().getWidthOfString("00000000000000");
		int fieldHeight = getFont().getHeight() + 2;
		
		/////** District drop down list **/////
		TextElement te2 = new TextElement("Velg bydel");
		
		Vector partsOfTown = new Vector();
		partsOfTown.addElement("Alle");
		partsOfTown.addElement("Byneset");
		partsOfTown.addElement("Bysen");
		partsOfTown.addElement("Flatsen");
		partsOfTown.addElement("Heimdal");
		partsOfTown.addElement("Ila");
		partsOfTown.addElement("Kattem");
		partsOfTown.addElement("Lade");
		partsOfTown.addElement("Lerkendal");
		DropDownElement dde1 = new DropDownElement();
		dde1.setChoices(partsOfTown);
		
		FormGroupElement ge1 = new FormGroupElement();
		ge1.addtoGroup(te2);
		ge1.addtoGroup(dde1);
		ge1.setCurrentElement(dde1);
		ge1.setInsets(2, 2, 2, 2);
		add(ge1);
		
		/////** Ownership drop down list **/////
		TextElement te3 = new TextElement("Velg eierforhold");
		
		Vector ownership = new Vector();
		ownership.addElement("Alle");
		ownership.addElement("Kommunal");
		ownership.addElement("Privat");
		DropDownElement dde2 = new DropDownElement();
		dde2.setChoices(ownership);
		
		FormGroupElement ge2 = new FormGroupElement();
		ge2.addtoGroup(te3);
		ge2.addtoGroup(dde2);
		ge2.setCurrentElement(dde2);
		ge2.setInsets(2, 2, 2, 2);
		add(ge2);
		
		/////** Focus area drop down list **/////
		TextElement te4 = new TextElement("Velg satsings- omrde");

		Vector focusAreas = new Vector();
		focusAreas.addElement("Alle");
		focusAreas.addElement("Friluftsliv");
		focusAreas.addElement("Livssyn");
		focusAreas.addElement("Pedagogikk");
		DropDownElement dde3 = new DropDownElement();
		dde3.setChoices(focusAreas);
		
		FormGroupElement ge3 = new FormGroupElement();
		ge3.addtoGroup(te4);
		ge3.addtoGroup(dde3);
		ge3.setCurrentElement(dde3);
		ge3.setInsets(2, 2, 2, 2);
		add(ge3);
		
		/////** How to see the search result-radio buttons **/////
		TextElement te5 = new TextElement("Velg hvordan du vil se skeresultatene");
		
		rbe = new RadioButtonElement();
		Vector radioButtons = new Vector();
		radioButtons.addElement("Kart");
		radioButtons.addElement("Liste");
		rbe.setChoices(radioButtons);
	
		FormGroupElement ge5 = new FormGroupElement();
		ge5.addtoGroup(te5);
		ge5.addtoGroup(rbe);
		ge5.setCurrentElement(rbe);
		ge5.setInsets(2, 2, 2, 2);		
		add(ge5);
		
		setCurrGuiElement(ge1);		
	}
	
	/**
	 * Finds the selected presentation 
	 * @return true if map is selected, false if list is selected
	 */
	public boolean mapPresentation(){
		boolean map = true;
		if(rbe.getSelectedIndex() != 0) map = false;
		return map;		
	}

}
