package kindergartenform;

import framework.RadioButtonElement;
import no.tellu.cdlc.gui.*;

import javax.microedition.lcdui.Graphics;
import javax.microedition.lcdui.TextField;
import java.util.Vector;

/**
 * FormPageSeven.java
 * <p/>
 * Contains the content of the seventh page of the form.
 */
public class FormPageSeven extends GuiPanel {

	GroupElement sibling;
	int i;
	FormWindow fw;
	
	/**
	 * Constructor FormPageSeven
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 */
	public FormPageSeven(String elementId, LayoutManager layoutMgr, FormWindow fw) {
		super(elementId, layoutMgr);
		this.fw = fw;
		
		setInsetTop(3);		
	
		Vector yesNo = new Vector();
		yesNo.addElement("Ja");
		yesNo.addElement("Nei");
		
		int fieldWidth = getInnerWidth() - 20;

		GuiFont infoFont = new GuiFont("SMALL_PLAIN");
		
		/////** Siblings radio buttons **/////
		FormGroupElement ge1 = new FormGroupElement();
		TextElement te1 = new TextElement("Har barnet ssken?                    ");
		RadioButtonElement rbe1 = new RadioButtonElement();
		rbe1.setChoices(yesNo);
		ge1.addtoGroup(te1);
		ge1.addtoGroup(rbe1);
		ge1.setCurrentElement(rbe1);
		ge1.setInsets(2, 2, 2, 2);
		add(ge1);
		
		/////** Add sibling info input fields **/////
		FormGroupElement ge2 = new FormGroupElement("addSibling");		
		TextElement teName = new TextElement("Navn");
		InputElement ieName = new InputElement("name", TextField.ANY, this);
		ieName.setMaxCharacters(20);

		TextElement teBirthyear = new TextElement("Fdselsr");
		InputElement ieBirthyear = new InputElement("birthyear",TextField.NUMERIC, this);
		ieBirthyear.setMaxCharacters(4);
		int fWidth = getFont().getWidthOfString("8888888");
		ieBirthyear.setPreferredSize(fWidth, 0);
		
		TextElement teKindergarten = new TextElement("Eventuell barnehage", 10);
		InputElement ieKindergarten = new InputElement("kindergarten", TextField.ANY, this);
		ieKindergarten.setMaxCharacters(20);
		
		ge2.addtoGroup(teName);
		ge2.addtoGroup(ieName);
		ge2.addtoGroup(teBirthyear);
		ge2.addtoGroup(ieBirthyear);
		ge2.addtoGroup(teKindergarten);
		ge2.addtoGroup(ieKindergarten);
		ge2.setCurrentElement(ieName);
		ge2.setInsets(2, 2, 2, 2);
		add(ge2);
		
		/////** Sibling info **/////
		sibling = new GroupElement();
		TextElement teSibling = new TextElement("Ssken:\nMartin Hansen, f. 2005, Kanutten barnehage");
		teSibling.setFont(infoFont);
		sibling.setSelectable(false);
		sibling.setBorderVisible(false);
		sibling.addtoGroup(teSibling);
		sibling.setInsets(2, 0, 0, 0);
		
		/////** Several applications radio buttons **/////
		FormGroupElement ge3 = new FormGroupElement();		
		TextElement teApplication = new TextElement("Skes det barnehageplass til flere?");
		RadioButtonElement rbe2 = new RadioButtonElement();
		rbe2.setChoices(yesNo);
		ge3.addtoGroup(teApplication);
		ge3.addtoGroup(rbe2);
		ge3.setCurrentElement(rbe2);
		ge3.setInsets(2, 2, 2, 2);
		add(ge3);
		
		/////** Application info **/////
		GroupElement ge4 = new GroupElement();
		TextElement info = new TextElement("Det m sendes egen sknad for hvert barn.");
		info.setFont(infoFont);
		ge4.addtoGroup(info);
		ge4.setBorderVisible(false);
		ge4.setSelectable(false);
		ge4.setInsets(2, 0, 0, 0);
		add(ge4);
		
		/////** Other information large input field **/////
		GroupElement ge5 = new GroupElement();
		TextElement teMoreInfo = new TextElement("Andre opplysninger om familieforhold, maksimalt 400 tegn");
		InputElement ieMoreInfo = new InputElement("moreinfo", TextField.ANY, this);
		ieMoreInfo.setPreferredSize(fieldWidth, 70);
		ieMoreInfo.setMaxCharacters(400);
		ge5.addtoGroup(teMoreInfo);
		ge5.addtoGroup(ieMoreInfo);
		ge5.setCurrentElement(ieMoreInfo);
		ge5.setInsets(2, 2, 2, 2);
		add(ge5);	
	}

	/**
	 * Handles the commands to be shown on the menu line.
	 */
	public void paint(Graphics g, boolean selected) {
//		Check if the relevant group is selected
		if(getCurrGuiElement().getElementId().equals("addSibling")) {
			//Check that there is no add sibling command on the menu and add
			if(i == 0) fw.guiMenu.insertMenuElement(fw.addSibling, "root", 0);
			i = 1;
		}
		else {
			//Check if an add sibling command is on the menu and remove
			if(i == 1) {
				fw.guiMenu.removeMenuElement(fw.addSibling.getLabel());
			}
			i = 0;
		}
		super.paint(g, selected);
	}
	
	/**
	 * Removes the command 'Add sibling' when the user leaves the form page.
	 */
	public void leavePanel() {
		fw.guiMenu.removeMenuElement(fw.addSibling.getLabel());
		i = 0;
	}
	
	/**
	 * Adds a sibling to the form page.
	 *
	 */
	public void addSibling(){
		add(sibling, -1, 2);
	}

}