package kindergartenform;

import java.util.Vector;
import javax.microedition.lcdui.TextField;
import framework.RadioButtonElement;
import no.tellu.cdlc.gui.*;

/**
 * FormPageSix.java
 * <p/>
 * Contains the content of the sixth page of the form.
 */
public class FormPageSix extends GuiPanel {

	/**
	 * Constructor FormPageSix
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 */
	public FormPageSix(String elementId, LayoutManager layoutMgr) {
		super(elementId, layoutMgr);
		
		setInsetTop(3);
		
		GuiFont headingFont = new GuiFont("MEDIUM_BOLD");
		
		Vector yesNo = new Vector();
		yesNo.addElement("Ja");
		yesNo.addElement("Nei");
		
		/////** Two parents radio buttons **/////
		FormGroupElement ge1 = new FormGroupElement();
		TextElement te1 = new TextElement("Har barnet to foresatte?             ");
		RadioButtonElement rbe1 = new RadioButtonElement();
		rbe1.setChoices(yesNo);
		ge1.addtoGroup(te1);
		ge1.addtoGroup(rbe1);
		ge1.setCurrentElement(rbe1);
		ge1.setInsets(2, 2, 2, 2);
		add(ge1);
		
		/////** Parents same address radio buttons **/////
		FormGroupElement ge2 = new FormGroupElement();
		TextElement te2 = new TextElement("Bor de foresatte p samme adresse?");
		RadioButtonElement rbe2 = new RadioButtonElement();
		rbe2.setChoices(yesNo);
		ge2.addtoGroup(te2);
		ge2.addtoGroup(rbe2);
		ge2.setCurrentElement(rbe2);
		ge2.setInsets(2, 2, 2, 2);
		add(ge2);
		
		/////** Parent 2 info text **/////
		GroupElement ge3 = new GroupElement();
		TextElement te3 = new TextElement("Opplysninger om foresatt to");
		te3.setFont(headingFont);
		ge3.addtoGroup(te3);
		ge3.setBorderVisible(false);
		ge3.setSelectable(false);
		ge3.setInsets(2, 0, 0, 0);
		add(ge3);
		
		/////** Parent 2 personal id number input field **/////
		FormGroupElement ge4 = new FormGroupElement();	
		TextElement teIdNumber = new TextElement("Fdselsnummer");
		InputElement ieIdNumber = new InputElement("idNumber", TextField.NUMERIC, this);
		ieIdNumber.setMaxCharacters(11);
		ge4.addtoGroup(teIdNumber);
		ge4.addtoGroup(ieIdNumber);
		ge4.setCurrentElement(ieIdNumber);
		ge4.setInsets(2, 2, 2, 2);
		add(ge4);
		
		/////** Parent 2 first name input field **/////
		FormGroupElement ge5 = new FormGroupElement();
		TextElement teFirstname = new TextElement("Fornavn");
		InputElement ieFirstname = new InputElement("firstname", TextField.ANY, this);
		ieFirstname.setMaxCharacters(20);
		ge5.addtoGroup(teFirstname);
		ge5.addtoGroup(ieFirstname);
		ge5.setCurrentElement(ieFirstname);
		ge5.setInsets(2, 2, 2, 2);
		add(ge5);
		
		/////** Parent 2 surname input field **/////
		FormGroupElement ge6 = new FormGroupElement();		
		TextElement teSurname = new TextElement("Etternavn");
		InputElement ieSurname = new InputElement("surname", TextField.ANY, this);
		ieSurname.setMaxCharacters(15);
		ge6.addtoGroup(teSurname);
		ge6.addtoGroup(ieSurname);
		ge6.setCurrentElement(ieSurname);
		ge6.setInsets(2, 2, 2, 2);
		add(ge6);
		
		/////** Parent 2 street address input field **/////
		FormGroupElement ge7 = new FormGroupElement();
		TextElement teStreetAddress = new TextElement("Adresse");
		InputElement ieStreetAddress = new InputElement("streetAddress", TextField.ANY, this);
		ieStreetAddress.setMaxCharacters(15);
		ieStreetAddress.setValue("Sollia 3");
		ge7.addtoGroup(teStreetAddress);
		ge7.addtoGroup(ieStreetAddress);
		ge7.setCurrentElement(ieStreetAddress);
		ge7.setInsets(2, 2, 2, 2);
		add(ge7);
		
		/////** Parent 2 post number input field **/////
		FormGroupElement ge8 = new FormGroupElement();
		TextElement tePostcode = new TextElement("Postnummer");
		InputElement iePostCode = new InputElement("postcode", TextField.NUMERIC, this);
		iePostCode.setMaxCharacters(4);
		int fWidth = getFont().getWidthOfString("8888888");
		iePostCode.setValue("7024");
		iePostCode.setPreferredSize(fWidth, 0);
		ge8.addtoGroup(tePostcode);
		ge8.addtoGroup(iePostCode);
		ge8.setCurrentElement(iePostCode);
		ge8.setInsets(2, 2, 2, 2);
		add(ge8);
		
		/////** Parent 2 post address input field **/////
		FormGroupElement ge9 = new FormGroupElement();
		TextElement tePostAddress = new TextElement("Poststed");
		InputElement iePostAddress = new InputElement("postaddress", TextField.ANY, this);
		iePostAddress.setMaxCharacters(15);
		iePostAddress.setValue("Trondheim");
		ge9.addtoGroup(tePostAddress);
		ge9.addtoGroup(iePostAddress);
		ge9.setCurrentElement(iePostAddress);
		ge9.setInsets(2, 2, 2, 2);
		add(ge9);
		
		/////** Parent 2 phone input field **/////
		FormGroupElement ge10 = new FormGroupElement();
		TextElement tePhone = new TextElement("Telefon");
		InputElement iePhone = new InputElement("phone", TextField.NUMERIC, this);
		iePhone.setMaxCharacters(8);
		int phoneWidth =  getFont().getWidthOfString("88888888888");
		iePhone.setPreferredSize(phoneWidth, 0);
		ge10.addtoGroup(tePhone);
		ge10.addtoGroup(iePhone);
		ge10.setCurrentElement(iePhone);
		ge10.setInsets(2, 2, 2, 2);
		add(ge10);
		
		/////** Parent 2 work place input field **/////
		FormGroupElement ge11 = new FormGroupElement();
		TextElement teWork = new TextElement("Arbeidssted");
		InputElement ieWork = new InputElement("work", TextField.ANY, this);
		ieWork.setMaxCharacters(15);
		ge11.addtoGroup(teWork);
		ge11.addtoGroup(ieWork);
		ge11.setCurrentElement(ieWork);
		ge11.setInsets(2, 2, 2, 2);
		add(ge11);
		
		/////** Parent 2 work phone input field **/////
		FormGroupElement ge12 = new FormGroupElement();
		TextElement tePhoneWork = new TextElement("Telefon, arbeid");
		InputElement iePhoneWork = new InputElement("workphone", TextField.NUMERIC, this);
		iePhoneWork.setMaxCharacters(8);
		iePhoneWork.setPreferredSize(phoneWidth, 0);
		ge12.addtoGroup(tePhoneWork);
		ge12.addtoGroup(iePhoneWork);
		ge12.setCurrentElement(iePhoneWork);
		ge12.setInsets(2, 2, 2, 2);
		add(ge12);		
	}

}