package kindergartenform;

import framework.CheckBoxElement;
import framework.RadioButtonElement;
import no.tellu.cdlc.gui.*;

import java.util.Vector;

import javax.microedition.lcdui.Graphics;

/**
 * FormPageThree.java
 * <p/>
 * Contains the content of the third page of the form.
 */
public class FormPageThree extends GuiPanel {
	
	FormWindow fw;
	int i = 0;
	
	/**
	 * Constructor FormPageThree
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 * @param kindergartens the kindergartens of the form
	 */
	public FormPageThree(String elementId, LayoutManager layoutMgr, Vector kindergartens, FormWindow fw) {
		super(elementId, layoutMgr);		
		this.fw = fw;
	
		GuiFont headingFont = new GuiFont("MEDIUM_BOLD");
		GuiFont infoFont = new GuiFont("SMALL_PLAIN");
		
		TextElement te1 = new TextElement("Se barnehagens dagsrytme med   ");	
		TextElement te2 = new TextElement("Velg plasstype");
		
		Vector radioChoices = new Vector();
		radioChoices.addElement("Tall");
		radioChoices.addElement("Klokkeikoner");
		
		TextElement opening = new TextElement("pningstider:");
		opening.setFont(infoFont);

		TextElement ownership = new TextElement("Eierforhold:");
		ownership.setFont(infoFont);
		
		TextElement focusArea = new TextElement("Satsingsomrde:");
		focusArea.setFont(infoFont);
		
		/////////////////////////////////////////////////////////////////
		KindergartenPOIInfo k1 = (KindergartenPOIInfo)kindergartens.elementAt(2);
		
		TextElement nameK1 = new TextElement(k1.getName());
		nameK1.setFont(headingFont);		
		
		TextElement address1 = new TextElement(k1.getStreetAddress()+", "+k1.getPostCode()+" "+k1.getPostAddress(), 33);
		address1.setFont(infoFont);
			
		TextElement opening1 = new TextElement(k1.getOpeningHours());
		opening1.setFont(infoFont);
		
		TextElement ownership1 = new TextElement(k1.getOwner());
		ownership1.setFont(infoFont);
			
		TextElement focusArea1 = new TextElement(k1.getFocusArea());
		focusArea1.setFont(infoFont);
		
		/////** Name and address information **/////
		GroupElement ge00 = new GroupElement();
		ge00.addtoGroup(nameK1);
		ge00.addtoGroup(address1);
		ge00.setBorderVisible(false);
		ge00.setSelectable(false);
		ge00.setInsets(2, 0, 0, 0);
		add(ge00);
		
		/////** District, ownership and focus area information **/////
		FormGroupElement ge01 = new FormGroupElement();
		ge01.addtoGroup(opening);
		ge01.addtoGroup(opening1);		
		ge01.addtoGroup(ownership);
		ge01.addtoGroup(ownership1);
		ge01.addtoGroup(focusArea);
		ge01.addtoGroup(focusArea1);
		ge01.setBorderVisible(false);
		ge01.setSelectable(false);
		ge01.setInsets(2, 0, 0, 0);
		add(ge01);
		
		/////** See dailyroutine radio buttons **/////
		RadioButtonElement re1 = new RadioButtonElement("activitiesButton");	
		re1.setChoices(radioChoices);		
		
		FormGroupElement ge11 = new FormGroupElement("activitiesField");
		ge11.addtoGroup(te1);
		ge11.addtoGroup(re1);
		ge11.setCurrentElement(re1);
		ge11.setInsets(2, 2, 2, 2);
		add(ge11);
		
		/////** Place type drop down list **/////
		GroupElement ge12 = new GroupElement();
		DropDownElement dde1 = new DropDownElement();
		dde1.setChoices(k1.getPlaceTypes());
		ge12.addtoGroup(te2);
		ge12.addtoGroup(dde1);
		ge12.setCurrentElement(dde1);
		ge12.setInsets(2, 2, 2, 2);
		add(ge12);
		
		/////** Choose kindergarten check box **/////
		GroupElement ge13 = new GroupElement();
		CheckBoxElement cbe1 = new CheckBoxElement();	
		Vector checkboxChoice1 = new Vector();
		checkboxChoice1.addElement("Velg Kanutten barnehage");
		cbe1.setChoices(checkboxChoice1);
		ge13.addtoGroup(cbe1);
		ge13.setInsets(4, 4, 2, 2);
		add(ge13);
		/////////////////////////////////////////////////////
		KindergartenPOIInfo k2 = (KindergartenPOIInfo)kindergartens.elementAt(3);
		
		TextElement nameK2 = new TextElement(k2.getName());
		nameK2.setFont(headingFont);
		
		TextElement address2 = new TextElement(k2.getStreetAddress()+", "+k2.getPostCode()+" "+k2.getPostAddress(),27);
		address2.setFont(infoFont);
			
		TextElement opening2 = new TextElement(k2.getOpeningHours());
		opening2.setFont(infoFont);
		
		TextElement ownership2 = new TextElement(k2.getOwner());
		ownership2.setFont(infoFont);
			
		TextElement focusArea2 = new TextElement(k2.getFocusArea());
		focusArea2.setFont(infoFont);

		/////** Name and address information **/////
		GroupElement ge200 = new GroupElement();
		ge200.addtoGroup(nameK2);
		ge200.addtoGroup(address2);
		ge200.setBorderVisible(false);
		ge200.setSelectable(false);
		ge200.setInsets(2, 0, 0, 0);
		add(ge200);
		
		/////** District, ownership and focus area information **/////	
		FormGroupElement ge201 = new FormGroupElement();
		ge201.addtoGroup(opening);
		ge201.addtoGroup(opening2);		
		ge201.addtoGroup(ownership);
		ge201.addtoGroup(ownership2);
		ge201.addtoGroup(focusArea);
		ge201.addtoGroup(focusArea2);
		ge201.setBorderVisible(false);
		ge201.setSelectable(false);
		ge201.setInsets(2, 0, 0, 0);
		add(ge201);

		/////** See dailyroutine radio buttons **/////		
		RadioButtonElement re2 = new RadioButtonElement("activitiesButton");	
		re2.setChoices(radioChoices);		
		
		FormGroupElement ge21 = new FormGroupElement("activitiesField");
		ge21.addtoGroup(te1);
		ge21.addtoGroup(re2);
		ge21.setCurrentElement(re2);
		ge21.setInsets(2, 2, 2, 2);
		add(ge21);
		
		/////** Place type drop down list **/////
		GroupElement ge22 = new GroupElement();
		DropDownElement dde2 = new DropDownElement();
		dde2.setChoices(k2.getPlaceTypes());
		ge22.addtoGroup(te2);
		ge22.addtoGroup(dde2);
		ge22.setCurrentElement(dde2);
		ge22.setInsets(2, 2, 2, 2);
		add(ge22);
		
		/////** Choose kindergarten check box **/////
		GroupElement ge23 = new GroupElement();
		CheckBoxElement cbe2 = new CheckBoxElement();	
		Vector checkboxChoice2 = new Vector();
		checkboxChoice2.addElement("Velg Kyvannet barnehage");
		cbe2.setChoices(checkboxChoice2);
		ge23.addtoGroup(cbe2);
		ge23.setInsets(2, 2, 2, 2);
		add(ge23);
		///////////////////////////////////////////////////////
			
		setCurrGuiElement(ge11);		
	}

	/**
	 * Handles the commands to be shown on the menu line.
	 */
	public void paint(Graphics g, boolean selected) {
		//Check if the relevant group is selected
		if(getCurrGuiElement().getElementId().equals("activitiesField")) {
			//Check that there is no see activites command on the menu and add
			if(i == 0) fw.guiMenu.insertMenuElement(fw.activities, "root", 0);
			i = 1;
		}
		else {
			//Check if a see activities command is on the menu and remove
			if(i == 1) {
				fw.guiMenu.removeMenuElement(fw.activities.getLabel());
			}
			i = 0;
		}		
		super.paint(g, selected);
	}	
	
	/**
	 * Removes the command 'See daily activities' when the user leaves the
	 * form page.
	 */
	public void leavePanel() {
		fw.guiMenu.removeMenuElement(fw.activities.getLabel());
		i = 0;
	}
	
	/**
	 * Checks if the user has chosen to see the daily routine with
	 * icons or numbers.
	 * @return true if the user chose icons, false if not
	 */
	public boolean isIconSelected(){
		GroupElement ge = (GroupElement) getCurrGuiElement();
		RadioButtonElement rbSelected = (RadioButtonElement)ge.getCurrGuiElement();
		if (rbSelected.getSelectedIndex() == 0) return false;
		else return true;
	}
	
}