package kindergartenform;

import framework.CheckBoxElement;
import no.tellu.cdlc.gui.*;

import java.util.Vector;

/**
 * FormPageTwoList.java
 * <p/>
 * Contains the content of the second page of the form, presented as a list.
 */
public class FormPageTwoList extends GuiPanel {
	
	/**
	 * Constructor FormPageTwoList
	 * initialises the content to be shown.
	 * @param elementId		the ID of the object of this class
	 * @param layoutMgr		the layout manager used in this form page
	 * @param kindergartens the kindergartens of the form
	 */
	public FormPageTwoList(String elementId, LayoutManager layoutMgr, Vector kindergartens) {
		super(elementId, layoutMgr);
	
		Vector checkbox = new Vector();
		checkbox.addElement("Velg");
		
		GuiFont headingFont = new GuiFont("MEDIUM_BOLD");
		GuiFont infoFont = new GuiFont("SMALL_PLAIN");
			
		TextElement infoText = new TextElement("Sket ga 5 barnehager.", 25);
		infoText.setFont(infoFont);

		GroupElement ge = new GroupElement();
		ge.addtoGroup(infoText);
		ge.setBorderVisible(false);
		ge.setSelectable(false);
		add(ge);
		
		//////** Kindergarten 1 information and choose checkbox **//////
		GroupElement kinderG1 = new GroupElement();	
		KindergartenPOIInfo info1 = (KindergartenPOIInfo) kindergartens.elementAt(0);
		
		TextElement te1 = new TextElement(info1.getName()+"            ");
		te1.setFont(headingFont);		
		kinderG1.addtoGroup(te1);
		
		TextElement t1 = new TextElement(info1.getStreetAddress()+"          ");
		kinderG1.addtoGroup(t1);
		
		CheckBoxElement cbe1 = new CheckBoxElement();	
		cbe1.setChoices(checkbox);
		kinderG1.addtoGroup(cbe1);
		
		kinderG1.setCurrentElement(cbe1);
		kinderG1.setInsets(2, 4, 2, 2);
		add(kinderG1);
		
		//////** Kindergarten 2 information and choose checkbox **//////	
		GroupElement kinderG2 = new GroupElement();	
		KindergartenPOIInfo info2 = (KindergartenPOIInfo) kindergartens.elementAt(1);
		
		TextElement te2 = new TextElement(info2.getName()+"           ");			
		te2.setFont(headingFont);
		kinderG2.addtoGroup(te2);
		
		TextElement t3 = new TextElement(info2.getStreetAddress()+"         ");	
		kinderG2.addtoGroup(t3);
	
		CheckBoxElement cbe2 = new CheckBoxElement();
		cbe2.setChoices(checkbox);
		kinderG2.addtoGroup(cbe2);
		
		kinderG2.setCurrentElement(cbe2);
		kinderG2.setInsets(2, 4, 2, 2);
		add(kinderG2);
		
		//////** Kindergarten 3 information and choose checkbox **//////
		GroupElement kinderG3 = new GroupElement();		
		KindergartenPOIInfo info3 = (KindergartenPOIInfo) kindergartens.elementAt(2);
		
		TextElement te3 = new TextElement(info3.getName()+"        ");		
		te3.setFont(headingFont);
		kinderG3.addtoGroup(te3);
		
		TextElement t5 = new TextElement(info3.getStreetAddress()+"           ");	
		kinderG3.addtoGroup(t5);
	
		CheckBoxElement cbe3 = new CheckBoxElement();
		cbe3.setChoices(checkbox);
		kinderG3.addtoGroup(cbe3);
		
		kinderG3.setCurrentElement(cbe3);
		kinderG3.setInsets(2, 4, 2, 2);
		add(kinderG3);
		
		//////** Kindergarten 4 information and choose checkbox **//////
		GroupElement kinderG4 = new GroupElement();	
		KindergartenPOIInfo info4 = (KindergartenPOIInfo) kindergartens.elementAt(3);
		
		TextElement te4 = new TextElement(info4.getName()+"           ");		
		te4.setFont(headingFont);
		kinderG4.addtoGroup(te4);
		
		TextElement t7 = new TextElement(info4.getStreetAddress()+"                        ");	
		kinderG4.addtoGroup(t7);
	
		CheckBoxElement cbe4 = new CheckBoxElement();
		cbe4.setChoices(checkbox);
		kinderG4.addtoGroup(cbe4);
		
		kinderG4.setCurrentElement(cbe4);
		kinderG4.setInsets(2, 4, 2, 2);
		add(kinderG4);
		
		//////** Kindergarten 5 information and choose checkbox **//////
		GroupElement kinderG5 = new GroupElement();	
		KindergartenPOIInfo info5 = (KindergartenPOIInfo) kindergartens.elementAt(4);
		
		TextElement te5 = new TextElement(info5.getName()+"           ");		
		te5.setFont(headingFont);
		kinderG5.addtoGroup(te5);
		
		TextElement t9 = new TextElement(info5.getStreetAddress()+"          ");	
		kinderG5.addtoGroup(t9);
	
		CheckBoxElement cbe5 = new CheckBoxElement();
		cbe5.setChoices(checkbox);
		kinderG5.addtoGroup(cbe5);
		
		kinderG5.setCurrentElement(cbe5);
		kinderG5.setInsets(2, 4, 2, 2);
		add(kinderG5);
		///////////////////////////////////////////////////
		
		setCurrGuiElement(kinderG1);		
	}

}