package kindergartenform;

import no.tellu.cdlc.gui.GuiElement;
import no.tellu.cdlc.gui.GuiPanel;
import no.tellu.cdlc.gui.TabbedElement;

/**
 * FormTabbedElement.java
 * <p/>
 * Contains methods for changing, adding and removing form pages (panels)
 */
public class FormTabbedElement extends TabbedElement {

	/**
	 * Constructor FormTabbedElement
	 * @param elementId   the ID of the object of this class
	 */
	public FormTabbedElement(String elementId) {
		super(elementId);
	}

	/**
	 * Constructor FormTabbedElement
	 */
	public FormTabbedElement() {
		super("noname");
	}
	
	/**
	 * Sets the next form page to be shown.
	 *
	 */
	public void setNextTab(){
		int next = getCurrTab() + 1;
		if(next < getPanels().size()){
			GuiPanel temp = (GuiPanel) getPanels().elementAt(getCurrTab());
			temp.leavePanel();
			setCurrentTabElement(next);
			temp = (GuiPanel) getPanels().elementAt(getCurrTab());
			temp.enterPanel();
		}
	}
	
	/**
	 * Sets the previous form page to be shown.
	 *
	 */
	public void setPreviousTab(){
		if (getCurrTab() > 0) {
			GuiPanel temp = (GuiPanel) getPanels().elementAt(getCurrTab());
			temp.leavePanel();
			setCurrentTabElement(getCurrTab() - 1);
			temp = (GuiPanel) getPanels().elementAt(getCurrTab());
			temp.enterPanel();
		}
	}
	
	/**
	 * Adds an element to a certain index of the panel vector.
	 * @param element	the element to be added
	 * @param i			the index the element should be added at
	 */
	public void addTabElement(GuiElement element, int i) {
        /* All the panels are saved to a local vector */
        getPanels().insertElementAt(element, i);
        if (element instanceof GuiPanel) {
            ((GuiPanel) element).setAllowScrollBars(true);
        }
    }
	
	/**
	 * Removes an element at a given index in the panel vector.
	 * @param i the index of the element that is to be removed
	 * @return true
	 */
	public boolean removeTabElement(int i) {
        getPanels().removeElementAt(i);
        return true;
    }
	
}