package kindergartenform;

import no.tellu.cdlc.gui.*;
import no.tellu.cdlc.serviceframe.messages.guicommands.GuiCmd;

import java.util.Vector;

/**
 * FormWindow.java
 * <p/>
 * Contains the data and pages of the kindergarten form application
 */
public class FormWindow extends GuiWindow {

	GuiMenu guiMenu;
	GuiHeading guiHeading;

	GuiCmd next = new GuiCmd("next", "Neste");
	GuiCmd back = new GuiCmd("back", "Tilbake");
    GuiCmd help = new GuiCmd("help", "Hjelp");
    GuiCmd enlarge = new GuiCmd("enlarge", "Forstrr tekst");
    GuiCmd exitService = new GuiCmd("exit","Avslutt");

    public GuiCmd activities = new GuiCmd("activities", "Se dagsrytme");
    public GuiCmd addSibling = new GuiCmd("addSibling", "Legg til ssken");
    public GuiCmd choose = new GuiCmd("choose", "Velg barnehage");
    public GuiCmd regret = new GuiCmd("regret", "Angre velg");
    public GuiCmd send = new GuiCmd("send", "Send sknad");
    
    int i = 0;
 
    FormTabbedElement tabe;

    FormPageOne fp1;
    FormPageTwoMap fp2m;
    FormPageTwoList fp2l;
    FormPageThree fp3;
    FormPageFour fp4;
    FormPageFive fp5;
    FormPageSix fp6;
    FormPageSeven fp7;
    FormPageEight fp8;
    
    Vector kindergartensInfo;   
    KindergartenFormMIDlet kfm;

	/**
	 * Constructor FormWindow
	 * @param windowId		the ID of the window object
	 * @param controllerApp the controller application
	 */
	public FormWindow(String windowId, GuiListener controllerApp, KindergartenFormMIDlet kfm) {
		super(windowId, controllerApp);
		this.kfm = kfm;
		initFormWindow();
        GuiDisplay.setDisplay(this);
    }

	/**
	 * Initialises the content and values of the form.
	 *
	 */
	private void initFormWindow() {
		guiMenu = new GuiMenu("root", this);
		setMenu(guiMenu);

		GuiHeading guiH = new GuiHeading("Sknad om barnehageplass", false);
		guiH.setFont(new GuiFont("MEDIUM_BOLD"));
		setHeading(guiH);

		guiMenu.addMenuElement(next, null);
		guiMenu.addMenuElement(help, null);
        guiMenu.addMenuElement(enlarge, null);
        guiMenu.addMenuElement(exitService, null);

		//////// ***** /////// Kindergartens //////// ***** /////////
		Vector placeTypes1 = new Vector();
		String[] placeTypes11 = {"Heldagsplass", "Delt heldag(22,5 t/u", "32,5 t/u", "18 t/u"};
		for(int i = 0; i < placeTypes11.length; i++) placeTypes1.addElement(placeTypes11[i]);

		Vector placeTypes2 = new Vector();
		String[] placeTypes22 = {"Heldagsplass", "32,5 t/u", "18 t/u"};
		for(int i = 0; i < placeTypes22.length; i++) placeTypes2.addElement(placeTypes22[i]);

		Vector placeTypes3 = new Vector();
		String[] placeTypes33 = {"Heldagsplass", "Delt heldag(22,5 t/u", "32,5 t/u", "18 t/u"};
		for(int i = 0; i < placeTypes33.length; i++) placeTypes3.addElement(placeTypes33[i]);

		Vector placeTypes4 = new Vector();
		String[] placeTypes44 = {"Heldagsplass", "Delt heldag(22,5 t/u", "32,5 t/u", "18 t/u"};
		for(int i = 0; i < placeTypes44.length; i++) placeTypes4.addElement(placeTypes44[i]);

		Vector placeTypes5 = new Vector();
		String[] placeTypes55 = {"Heldagsplass", "18 t/u"};
		for(int i = 0; i < placeTypes55.length; i++) placeTypes5.addElement(placeTypes55[i]);

		KindergartenPOIInfo info1 = new KindergartenPOIInfo("Bogane barnehage", 	"Per Sivles veg 7B", 	"7024", "Trondheim", "Bysen", "Kommunal", 	"Pedagogikk", 	"7.30-16.30", placeTypes1);
		KindergartenPOIInfo info2 = new KindergartenPOIInfo("Fredheim barnehage", 	"Arne Garborgs veg 25", "7024", "Trondheim", "Bysen", "Privat", 	"Friluftsliv",	"7.15-16.45", placeTypes2);
		KindergartenPOIInfo info3 = new KindergartenPOIInfo("Kanutten barnehage", 	"Bckmanns veg 45", 	"7024",	"Trondheim", "Bysen", "Kommunal", 	"Friluftsliv",	"7.30-16.30", placeTypes3);
		KindergartenPOIInfo info4 = new KindergartenPOIInfo("Kyvannet barnehage", 	"Osloveien 3", 			"7024", "Trondheim", "Bysen", "Privat", 	"Livssyn", 		"7.00-16.30", placeTypes4);
		KindergartenPOIInfo info5 = new KindergartenPOIInfo("Lian barnehage", 		"Hulda Garborgs veg 25","7024", "Trondheim", "Bysen", "Kommunal", 	"Pedagogikk", 	"7.15-16.45", placeTypes5);

	    kindergartensInfo = new Vector();
		kindergartensInfo.addElement(info1);
		kindergartensInfo.addElement(info2);
		kindergartensInfo.addElement(info3);
		kindergartensInfo.addElement(info4);
		kindergartensInfo.addElement(info5);
		////////***** /////// End Kindergartens //////// ***** /////////

		GuiPanel contentPane = getContentPane();
	    contentPane.setInsetTop(2);
	    contentPane.setAllowScrollBars(false);
	    LayoutManager lm = contentPane.getLayoutMgr();

	    setUseAutoLayout(true);

		//Creating the form pages
	    fp1 = new FormPageOne("Steg1", new SimpleFlowLayout());
		fp1.setLabel("Sett kriterier for sk p barnehage");

		fp2m = new FormPageTwoMap("Steg2", new ListLayout(), kindergartensInfo, this);
		fp2m.setLabel("Velg inntil 3 barnehager");

		fp2l = new FormPageTwoList("Steg2", new ListLayout(), kindergartensInfo);
	    fp2l.setLabel("Velg inntil 3 barnehager");

	    fp3 = new FormPageThree("Steg3", new ListLayout(), kindergartensInfo, this);
		fp3.setLabel("Angi endelige valg og valg av plasstype");

		fp4 = new FormPageFour("Steg4", new ListLayout(), kindergartensInfo);
		fp4.setLabel("Angi barnehagenes prioritet");

		fp5 = new FormPageFive("Steg5", new ListLayout());
		fp5.setLabel("Opplysninger om barnet");

		fp6 = new FormPageSix("Steg6", new ListLayout());
		fp6.setLabel("Opplysninger om foresatte");

		fp7 = new FormPageSeven("Steg7", new ListLayout(), this);
		fp7.setLabel("Familieforhold");

		fp8 = new FormPageEight("Steg8", new ListLayout(), this);
		fp8.setLabel("Oppsummering");

		tabe = new FormTabbedElement();
		tabe.addTabElement(fp1);
		tabe.addTabElement(fp2m);
		tabe.addTabElement(fp3);
		tabe.addTabElement(fp4);
		tabe.addTabElement(fp5);
		tabe.addTabElement(fp6);
		tabe.addTabElement(fp7);
		tabe.addTabElement(fp8);
        tabe.setAllowScrollBars(false);
        tabe.setCurrentTabElement(0);
		setContentPane(tabe);    
	}

	/**
	 * Handles which actions to take according to the pressed soft button.
	 */
	public void callbackAction(String elementId, int type, Object value) {
		if (elementId.equalsIgnoreCase("root")) {			
			GuiCmd cmd = (GuiCmd) ((MenuElement) value).getGuiCmd();
			
			if(cmd.getLabel().equals(next.getLabel())){			
				if(tabe.getCurrTab() == 0){
					if(i == 0){
						guiMenu.insertMenuElement(back, null, 1);
						i++;
					}
					if(fp1.mapPresentation()){
						tabe.addTabElement(fp2m, 1);
						tabe.removeTabElement(2);
					}
					else {
						tabe.addTabElement(fp2l, 1);
						tabe.removeTabElement(2);
					}
				}				
				tabe.setNextTab();
			}		
			if(cmd.getLabel().equals(back.getLabel())){				
				if(tabe.getCurrTab() == 1){
					guiMenu.removeMenuElement(back.getLabel());
					i--;
				}
				tabe.setPreviousTab();
			}			
			if(cmd.getLabel().equals(choose.getLabel())){
				fp2m.getPOIElement().savePOI();
			}
			if(cmd.getLabel().equals(regret.getLabel())){
				fp2m.getPOIElement().deleteSavedPOI();
			}
			
			if(cmd.getLabel().equals(activities.getLabel())){
				DailyRoutineWindow drw = new DailyRoutineWindow("Oversikt over dagsrytme i Kanutten", null, kindergartensInfo, fp3.isIconSelected(), this);
			}
			
			if(cmd.getLabel().equals(addSibling.getLabel())){
				fp7.addSibling();
			}			
			if(cmd.getLabel().equals(exitService.getLabel())){
				try{
					kfm.destroyApp(true);
				} catch (Exception e){
					System.out.println("Exit failed");
				}
			}
		}
        super.callbackAction(elementId, type, value);
    }

	/**
	 * Decides which page to show next after the first page
	 * Adds/removes the 'Back' command
	 */
	protected boolean moveRight(int x) {
		if(tabe.getCurrTab() == 0){
			if(i == 0){
				guiMenu.insertMenuElement(back, null, 1);
				i++;
			}			
			if(fp1.mapPresentation()){
				tabe.addTabElement(fp2m, 1);
				tabe.removeTabElement(2);
			}
			else {
				tabe.addTabElement(fp2l, 1);
				tabe.removeTabElement(2);
			}
		}
		return super.moveRight(x);
	}

	/**
	 * Removes the 'Back' command when the form page to be shown is the first.
	 */
	protected boolean moveLeft(int x) {
		if(tabe.getCurrTab() == 1){
			guiMenu.removeMenuElement(back.getLabel());
			i--;
		}
		return super.moveLeft(x);
	}	
	
}